#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <allegro.h>
#include "0532dl.h"
#include "0532d.h"

// Array of nodes, but we will access to them using the pointers...
struct dllnode *node[MAX_NODES];

int how_many_nodes;		// This holds the track of the nodes...

int main(void)
{
    int end_loop = 0, key = 0;

    allegro_init();
    set_gfx_mode (GFX_SAFE, 320, 200, 0, 0);
    set_palette (desktop_palette);
    install_keyboard();
    install_timer();

    init();

    draw_screen();

    while (end_loop == 0) {
	if (keypressed())
	    key = toupper (readkey() & 0xff);
	else
	    key = 0;

	if (key == 'D') {	// User pressed D

	    delete_number();
	    draw_screen();
	}
	if (key == 'A') {	// User pressed A

	    add_number();
	    draw_screen();
	}
	if (key == 27)
	    end_loop++;
    }

    return 0;
}
END_OF_MAIN()

void draw_screen(void)
{
    struct dllnode *temp;
    int y = 0;

    clear (screen);

    temp = node[0];

    while (temp->next != NULL) {
	temp = temp->next;
	textprintf (screen, font, 0, y, 15, "%d\n", temp->number);
	y += 8;
    }

    textprintf (screen, font, 0, SCREEN_H - 20, 15, "You want to (A)dd or (D)elete a number of the list? Press ESC to exit\n");
}
