// Header containing standard reusable functions to move a circle

typedef struct circle_t CIRCLE_T;

struct circle_t {
  struct circle_t *prev;
  struct circle_t *next;
  int x,y,r;         // x, y, radius
  int col;           // colour
  int xs,ys;         // x speed, y speed
  int dx,dy;         // drawn x, drawn y
  };

CIRCLE_T *circle_init(int new_x, int new_y, int new_radius,
                      int new_col, int new_xs, int new_ys, CIRCLE_T *prev);
void circle_destroy(CIRCLE_T *circle);
void circle_draw (BITMAP *bmp);
void circle_erase (BITMAP *bmp);
void circle_update (void);

