#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "0532cl.h"
#include "0532c.h"

void init(void)
{
    int i;

    srand(time(NULL));

    for (i = 0; i < MAX_NODES; i++) {
	node[i] = malloc(sizeof(struct circnode));

	if (node == NULL) {
	    printf("Not enough memory");
	    exit(1);
	}
	node[i]->number = -1;
	node[i]->next = NULL;
	node[i]->prev = NULL;
    }

    for (i = 1; i < MAX_NODES - 1; i++) {
	node[i]->number = rand() % 10000;
	node[i]->next = node[i + 1];
	node[i]->prev = node[i - 1];
    }

    node[0]->number = rand() % 10000;
    node[0]->next = node[1];
    node[0]->prev = node[MAX_NODES - 1];
    node[MAX_NODES - 1]->number = rand() % 10000;
    node[MAX_NODES - 1]->next = node[0];
    node[MAX_NODES - 1]->prev = node[MAX_NODES - 2];

    actual_node = malloc(sizeof(struct circnode));

    if (node == NULL) {
	printf("Not enough memory");
	exit(1);
    }
    actual_node = node[1];
    actual_node->next = node[1]->next;
    actual_node->prev = node[1]->prev;
    actual_node->number = node[1]->number;
}

void cycle_through_list(int direction)
{
    switch (direction) {
    case FORWARD:

	if (actual_node->next == node[0])
	    actual_node = node[0]->next;
	else
	    actual_node = actual_node->next;

	break;
    case BACKWARD:

	if (actual_node->prev == node[0])
	    actual_node = node[0]->prev;
	else
	    actual_node = actual_node->prev;

	break;
    default:
	break;
    }
}
