#include <stdio.h>
#include <allegro.h>
#include "1033.h"
#include "1033data.h"

MIDI *music;
char *text;

int main(void)
{
    allegro_init();
    install_keyboard();
    install_timer();

    if (install_sound(DIGI_AUTODETECT, MIDI_AUTODETECT, NULL) != 0) {
	printf("Sorry, problems initializing sound...\n%s", allegro_error);
	exit(1);
    }
    if (load_our_data() != 0) {
	printf("Sorry, couldn't load the data...");
	exit(2);
    }
    play_midi(music, 1000);

    puts(text);

    readkey();

    unload_our_data();

    allegro_exit();

    return 0;
}
END_OF_MAIN()

